vue中axios 兼容IE浏览器

在项目开发过程中用到了axios来获取数据,但在IE中报错:proimse未定义 ,
这是因为axios本质上是封装了ES6语法的promise,而promise在IE上并不兼容。
解决办法:安装babel-polyfill
具体步骤:
1.安装:npm i --save-dev babel-polyfill
2.在main.js中   import 'babel-polyfill'
3.在build/vue-loader.conf.js中:

module.exports = {
  entry: { app: ['babel-polyfill', './src/main.js'] },
  ......
}

 

没有更多推荐了,返回首页